# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['deutschland',
 'deutschland.hilfsmittel',
 'deutschland.hilfsmittel.api',
 'deutschland.hilfsmittel.apis',
 'deutschland.hilfsmittel.model',
 'deutschland.hilfsmittel.models']

package_data = \
{'': ['*']}

install_requires = \
['python-dateutil', 'urllib3>=1.25.3']

setup_kwargs = {
    'name': 'de-hilfsmittel',
    'version': '1.0.0',
    'description': 'Hilfsmittel-API',
    'long_description': '# hilfsmittel\nDer GKV-Spitzenverbund führt ein Register über alle Hilfsmittel, die der Leistungspflicht der Kassen unterliegen. Struktur: Produktgruppe -> Anwendungsort -> Untergruppe -> Produktart -> Produkt\n\nThis Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:\n\n- API version: 1.0.0\n- Package version: 1.0.0\n- Build package: org.openapitools.codegen.languages.PythonClientCodegen\n\n## Requirements.\n\nPython >= 3.6\n\n## Installation & Usage\n### pip install\n\n```sh\npip install deutschland[hilfsmittel]\n```\n\n### poetry install\n\n```sh\npoetry add deutschland -E hilfsmittel\n```\n\n### Setuptools\n\nInstall via [Setuptools](http://pypi.python.org/pypi/setuptools).\n\n```sh\npython setup.py install --user\n```\n(or `sudo python setup.py install` to install the package for all users)\n\n## Usage\n\nImport the package:\n```python\nfrom deutschland import hilfsmittel\n```\n\n## Getting Started\n\nPlease follow the [installation procedure](#installation--usage) and then run the following:\n\n```python\n\nimport time\nfrom deutschland import hilfsmittel\nfrom pprint import pprint\nfrom deutschland.hilfsmittel.api import default_api\nfrom deutschland.hilfsmittel.model.baum_knoten import BaumKnoten\nfrom deutschland.hilfsmittel.model.detail_produkt import DetailProdukt\nfrom deutschland.hilfsmittel.model.nachweisschema import Nachweisschema\nfrom deutschland.hilfsmittel.model.produkt import Produkt\nfrom deutschland.hilfsmittel.model.produktart import Produktart\nfrom deutschland.hilfsmittel.model.produktgruppe import Produktgruppe\nfrom deutschland.hilfsmittel.model.untergruppe import Untergruppe\n# Defining the host is optional and defaults to https://hilfsmittel-api.gkv-spitzenverband.de/api/verzeichnis\n# See configuration.py for a list of all supported configuration parameters.\nconfiguration = hilfsmittel.Configuration(\n    host = "https://hilfsmittel-api.gkv-spitzenverband.de/api/verzeichnis"\n)\n\n\n\n# Enter a context with an instance of the API client\nwith hilfsmittel.ApiClient(configuration) as api_client:\n    # Create an instance of the API class\n    api_instance = default_api.DefaultApi(api_client)\n    id = "id_example" # str | \n\n    try:\n        # Details zu einem Nachweisschema abfragen\n        api_response = api_instance.nachweisschema_id_get(id)\n        pprint(api_response)\n    except hilfsmittel.ApiException as e:\n        print("Exception when calling DefaultApi->nachweisschema_id_get: %s\\n" % e)\n```\n\n## Documentation for API Endpoints\n\nAll URIs are relative to *https://hilfsmittel-api.gkv-spitzenverband.de/api/verzeichnis*\n\nClass | Method | HTTP request | Description\n------------ | ------------- | ------------- | -------------\n*DefaultApi* | [**nachweisschema_id_get**](docs/DefaultApi.md#nachweisschema_id_get) | **GET** /Nachweisschema/{id} | Details zu einem Nachweisschema abfragen\n*DefaultApi* | [**produkt_get**](docs/DefaultApi.md#produkt_get) | **GET** /Produkt | Kompaktliste aller Produkte\n*DefaultApi* | [**produkt_id_get**](docs/DefaultApi.md#produkt_id_get) | **GET** /Produkt/{id} | Details zu einem Produkt abfragen\n*DefaultApi* | [**produktart_id_get**](docs/DefaultApi.md#produktart_id_get) | **GET** /Produktart/{id} | Details zu einer Produktart abfragen\n*DefaultApi* | [**produktgruppe_id_get**](docs/DefaultApi.md#produktgruppe_id_get) | **GET** /Produktgruppe/{id} | Details zu einer Produktgruppe abfragen\n*DefaultApi* | [**untergruppe_id_get**](docs/DefaultApi.md#untergruppe_id_get) | **GET** /Untergruppe/{id} | Details zu einer Untergruppe abfragen\n*DefaultApi* | [**verzeichnis_tree_level_get**](docs/DefaultApi.md#verzeichnis_tree_level_get) | **GET** /VerzeichnisTree/{level} | Lädt alle Knoten im Produktbaum bis zum gegebenen Level.\n\n\n## Documentation For Models\n\n - [BaumKnoten](docs/BaumKnoten.md)\n - [DetailProdukt](docs/DetailProdukt.md)\n - [DetailProduktAllOf](docs/DetailProduktAllOf.md)\n - [DetailProduktAllOfKontruktionsmerkmale](docs/DetailProduktAllOfKontruktionsmerkmale.md)\n - [Nachweisschema](docs/Nachweisschema.md)\n - [NachweisschemaNachweisAbschnittAnforderungenInner](docs/NachweisschemaNachweisAbschnittAnforderungenInner.md)\n - [NachweisschemaNachweisAbschnittAnforderungenInnerAbschnittAnforderungenInner](docs/NachweisschemaNachweisAbschnittAnforderungenInnerAbschnittAnforderungenInner.md)\n - [NachweisschemaNachweisschemaKategorieZuweisungenInner](docs/NachweisschemaNachweisschemaKategorieZuweisungenInner.md)\n - [Produkt](docs/Produkt.md)\n - [Produktart](docs/Produktart.md)\n - [Produktgruppe](docs/Produktgruppe.md)\n - [Untergruppe](docs/Untergruppe.md)\n\n\n## Documentation For Authorization\n\n All endpoints do not require authorization.\n\n## Author\n\nkontakt@bund.dev\n\n\n## Notes for Large OpenAPI documents\nIf the OpenAPI document is large, imports in hilfsmittel.apis and hilfsmittel.models may fail with a\nRecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:\n\nSolution 1:\nUse specific imports for apis and models like:\n- `from deutschland.hilfsmittel.api.default_api import DefaultApi`\n- `from deutschland.hilfsmittel.model.pet import Pet`\n\nSolution 2:\nBefore importing the package, adjust the maximum recursion limit as shown below:\n```\nimport sys\nsys.setrecursionlimit(1500)\nfrom deutschland import hilfsmittel\nfrom deutschland.hilfsmittel.apis import *\nfrom deutschland.hilfsmittel.models import *\n```\n\n',
    'author': 'BundesAPI',
    'author_email': 'kontakt@bund.dev',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/bundesAPI/hilfsmittel-api',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.6',
}


setup(**setup_kwargs)
